#
# spec file for package perl-Math-BigInt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Math-BigInt
Version:        1.999724
Release:        3.1
%define cpan_name Math-BigInt
Summary:        Arbitrary size integer/float math package
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Math-BigInt/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJACKLAM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Math::Complex) >= 1.39
BuildRequires:  perl(Test::More) >= 0.9301
Requires:       perl(Math::Complex) >= 1.39
Requires:       perl(Test::More) >= 0.9301
%{perl_requires}
# MANUAL BEGIN
Recommends:     perl(bignum) >= 0.22
Recommends:     perl(Math::BigInt::FastCalc) >= 0.25
Recommends:     perl(Math::BigInt::GMP) >= 1.35
Recommends:     perl(Math::BigInt::Pari) >= 1.15
Recommends:     perl(Math::BigRat) >= 0.2602
# MANUAL END

%description
Math::BigInt provides support for arbitrary precision integers. Overloading
is also provided for Perl operators.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc BENCHMARK BUGS CHANGES CREDITS examples GOALS HISTORY LICENSE NEW README TODO

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.999724
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Sun Jun 12 2016 coolo@suse.com
- updated to 1.999723
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2016-06-09 v1.999723 pjacklam
  * Add Math::BigInt and Math::BigFloat methods bnstr(), bestr(), and bdstr(),
    as well as corresponding methods nparts(), eparts(), and dparts(). Also add
    test files bdstr-mbf.t, bdstr-mbi.t, bestr-mbf.t, bestr-mbi.t, bnstr-mbf.t,
    bnstr-mbi.t, bsstr-mbf.t, bsstr-mbi.t, dparts-mbf.t, dparts-mbi.t,
    eparts-mbf.t, eparts-mbi.t, nparts-mbf.t, nparts-mbi.t, sparts-mbf.t, and
    sparts-mbi.t.
  * Fix documentation errors.
* Thu May  5 2016 coolo@suse.com
- updated to 1.999722
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2016-04-16 v1.999717 pjacklam
  * Using new() with an undefined argument no longer gives a warning. Explicit
    use of this is discouraged, but it is sometimes used by the modules
    themselves issuing warnings that is confusing to the end user. Just
    uncomment the code, since we plan to reintroduce this warning later.
  * Avoid using L<> around e-mail addressess in POD.
  2016-04-22 v1.999718 pjacklam
  * Improve documentation on large, unquoted input values to Math::BigInt.
  * Remove stuff from bitfltpm.inc that was placed into author-numify-mbf.t, but
    accidentally still present in bitfltpm.inc. Adjusted test counts as needed.
  * Fix file headers in author-bmod-bdiv-mbi.t and author-btmod-btdiv-mbi.t.
  * Add bnan(), binf(), and bsub() methods to Math::BigFloat. This is a step
    along the way to having Math::BigFloat no longer being a subclass of
    Math::BigInt.
  * Using bnan, binf(), bzero() and bone() as functions is deprecated. This is a
    step along the way to a pure object oriented design.
  * When bnan() and binf() are used as instance methods, they no longer delete
    the accuracy and precision instance variables.
  * Add test files from_bin-mbf.t, from_oct-mbf.t, and new-mbf.t.
  * Remove some code for Perl prior to 5.6. Such old versions are no longer
    support anyway.
  * Fix buggy handling of NaN in bcmp().
  * Add methods beq(), bne(), blt(), ble(), bgt(), and bge() to Math::BigInt and
    Math::BigFloat. These methods are called for the overloaded operators.
  * Add overloading of '==', '!=', '<', '<=', '>', to to Math::BigInt and
    Math::BigFloat and fix the broken overloading of '>='. These overloaded
    operators now behave like the equivalent core Perl operators.
  * Add test file author-relop-mbi-mbf.t for testing bcmp(), beq(), bne(),
    blt(), ble(), bgt(), and bge(), as well as the overloaded operators '==',
    '!=', '<', '<=', '>', and '>='.
  * 'int' now truncates a Math::BigFloat object to an integer without converting
    it to a Math::BigInt. When an object becomes a Math::BigInt, further
    computations with that object as invocand causes the arguments to be
    converted to Math::BigInt objects too, leading to unexpected results. This
    is confusing people. Unless downgrading is in effect, no Math::BigFloat
    object should become a Math::BigInt unless a Math::BigInt is explicitly
    requested.
  * For Math::BigFloat, modify bitwise operations brsft() and brsft(), and add
    band(), bior(), bxor(), and bnot(). These now handle floating point numbers
    the same way as core Perl does, i.e., truncate non-integers to integers
    before applying the bitwise operator. This change will also make Perl's
    behaviour more consistent whether 'use bignum' is in effect or not.
  * Add overloading of '~' (bitwise not). It just calls bnot(), which has been
    implemented for ages.
  * Fix error in POD for bone().
  * Take parts of the code in t/calling.t and move it into the new files
    t/calling-class-methods.t and t/calling-instance-methods.t.
  * Improve test descriptions in t/mbimbf.inc.
  2016-04-25 v1.999719 pjacklam
  * Revert the change to Math::BigFloat's blsft() and brsft() methods, which
    truncated the input (and output) to integers. However, now convert the base
    to an object only when the base isn't an object already. Also return NaN if
    any of the three operands is a NaN.
  * Change t/bigfltpm.inc to reflect the changes to blsft() and brsft(). Also,
    when a method should be tested, actually test that method, not the
    overloaded operator, which doesn't necessarily behave in the exact same
    manner as the method. This applies to the methods binc(), bdec(), bpow(),
    badd(), bsub(), bmul(), bdiv() in scalar context, brsft(), blsft(), and
    bmod().
  * The first output argument from objectify() is the class name, so use the
    variable name $class, not $self.
  2016-04-26 v1.999720 pjacklam
  * Overloaded 'int' should not modify it's argument.
  * Better documentation of blsft() and brsft().
  2016-04-26 v1.999721 pjacklam
  * Prevent Math::BigFloat methods band(), bior(), bxor(), and bnot() from
    modifying unmodifiable objects.
  2016-04-26 v1.999722 pjacklam
  * Fix bug in bone() and binf() when used as a function. The error caused
    warnings about using an unitialized variable. This fix applies to both
    Math::BigInt and Math::BigFloat.
* Thu Apr  7 2016 coolo@suse.com
- updated to 1.999716
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Wed Jan  6 2016 coolo@suse.com
- updated to 1.999715
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Mon Jan  4 2016 coolo@suse.com
- updated to 1.999714
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Sat Jan  2 2016 coolo@suse.com
- updated to 1.999713
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Sat Nov 14 2015 coolo@suse.com
- updated to 1.999710
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-11-12 v1.999710 pjacklam
  * New method Math::BigFloat -> from_hex() which supports hexadecimal floating
    point numbers, e.g., "0x1.999ap-4".
  * New test file t/from_hex-mbf.t for testing Math::BigFloat -> from_hex().
  * Add 'from_hex' and 'from_bin' to list of methods in the Math::BigInt POD.
* Wed Nov 11 2015 coolo@suse.com
- updated to 1.999709
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-11-06 v1.999709 pjacklam
  * Represent and return zero as 0E0, not 0E1. The old POD said "A zero is
    represented and returned as 0E1, not 0E0 (after Knuth)." I find no
    references to Knuth ever having said this. The closest reference I can find
    is that Knuth says 0**0 should be defined to be 1, not 0, but that is
    something else than 0e0, which is 0*10**0. I have yet to see any other
    mathematical software that represents and returns zero as 0e1 rather than
    0e0.
  * Required version of Test::More is 0.9301.
* Fri Nov  6 2015 coolo@suse.com
- updated to 1.999708
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Fri Oct 30 2015 coolo@suse.com
- updated to 1.999707
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-10-29 v1.999707 pjacklam
  * Added dependency on Math::Complex 1.39 for Math::Complex::Inf(), which is
    used for numifying infinity.
  * Updated author information.
  * Updated information in the file README.
  * Removed the files INSTALL and LICENSE as this information is already covered
    in the file README.
  * Enable 'use warnings' in all modules. We require a Perl newer than 5.6.0
    anyway.
  * Replace 'use vars ...' with 'our ...'. We require a Perl newer than 5.6.0
    anyway.
  * Avoid indirect object syntax in documentation.
  * Moved 'Test::More' from 'build_requires' to 'test_requires' in Makefile.PL.
* Thu Oct 29 2015 coolo@suse.com
- updated to 1.999706
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Tue Oct 27 2015 coolo@suse.com
- updated to 1.999705
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Sat Sep 26 2015 coolo@suse.com
- updated to 1.999704
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-09-25 v1.999704 pjacklam
  * objectify() in lib/Math/BigInt.pm now uses 'isa' not 'eq' to check object
    relationship. This is necessary for correct handling of subclasses.
  * objectify() in lib/Math/BigInt.pm no longer expects as_int(), as_number()
    and as_float() to return objects, but allows them to return numbers
    formatted as strings. This is used by some other modules on CPAN.
  * Better documentation of as_int() and as_number() in lib/Math/BigInt.pm.
  * Add documentation for as_float() in lib/Math/BigFloat.pm
  * Added test files t/objectify_mbf.t and t/objectify_mbi.t.
* Tue Sep 22 2015 coolo@suse.com
- updated to 1.999703
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-09-21 v1.999703 pjacklam
  * Fix blog() in Math::BigInt and Math::BigFloat to work correctly regardless
    of the base.
  * Correct existing tests in bigintpm.inc and bigfltpm.inc.
  * Update test plans (number of tests) in t/bare_mbi.t, t/bigintpm.t, and
    t/sub_mbi.t.
  * Add test files t/blog-mbf.t and t/blog-mbi.t for better testing of the
    blog() methods.
* Sun Sep 20 2015 coolo@suse.com
- updated to 1.999702
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
* Mon Sep 14 2015 coolo@suse.com
- updated to 1.999701
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  2015-09-11 v1.999701 pjacklam
  * The POD documentation, as well as the comments in the code, said that
    $x->bdiv($y) in list context should return quotient $q and remainder $r so
    that $x = $q * $y + $r, and that the remainder (modulo) $r should correspond
    to Perl's %% operator as well as the bmod() method. This has not been the
    actual behaviour. This is now fixed.
  * Clearer POD documentation for the bdiv() and bmod() methods.
  * All input values in the range (-1,1) written as a decimal number, e.g.,
  - 0.75 and 0.5, now return NaN, not 0.
  * Input values with a large (absolute value) negative exponent, e.g.,
    1e-9999999, now return NaN. The former behaviour was to die with the message
    "Quantifier in {,} bigger than 32766 in regex; marked by ..."
  * Intermediate computations in blog() increased the number of digits
    significantly in some cases. Now reduce the number of digits by rounding.
    However, keep some extra digits for remaining intermediate computations
    before the final rounding.
  * When $x is a Math::BigFloat, $x -> bceil() and $x -> bint() for -1 < $x < 0
    returned -0. Negative zero is never used by Math::Big(Int|Float), and care
    has been taken to avoid it, so this bug is surely an oversight.
  * Explicitly specify the backend (lib => 'Calc') in t/mbimbf.t for easier
    release management of the backend distributions.
  * Add "use warnings" to test scripts, since Perl 5.6.2 is required anyway, and
    "use warnings" was introduced in Perl 5.6.1.
  * Modified test scripts so the difference between the test files in the
    Math-BigInt distribution and the backend distributions are as few and as
    small as possible. This makes for easier release management.
* Tue Sep  1 2015 coolo@suse.com
- updated to 1.9997
  see /usr/share/doc/packages/perl-Math-BigInt/CHANGES
  [#]#############################################################################
  The changes are now grouped by distribution.
* Thu May 29 2014 stephan.barth@suse.com
- update to version 1.9993 from 1.997
  Changes from upstream:
  * Synchronise with blead perl. For a list of recent changes, see
    http://perl5.git.perl.org/perl.git/history/HEAD:/dist/Math-BigInt
  * Removed examples/hailstone.pl which required the obsolete Math::Big
* Tue Jun 11 2013 coolo@suse.com
- rebuild against perl 5.18
* Fri Nov 18 2011 coolo@suse.com
- update to 1.997
  * Document actual behaviour of from_xxx() methods. [perl #85334] (Peter John
    Acklam)
  * Make bmuladd() able to handle third arg properly. [perl #85482] (Peter John
    Acklam)
  * Add sign function bsgn() as a complement to babs(). (Peter John Acklam)
  * Fix objectify()'s handling of "foreign objects". (RT #16221 and #52124)
    (Peter John Acklam)
  * Rewrap some verbatim pod in Math::BigInt. (Father Chrysostomos)
  * Correct links to sections. (Alexandr Ciornii)
  * Remove incorrect formatting inside verbatim paragraphs. (Alexandr Ciornii)
  * Upgrade bundled modules in "inc" to latest version. (Peter John Acklam)
  * Include "^MYMETA\.(yml|json)\z" in MANIFEST.SKIP. Whereas META.* are
    generated by the distribution author at packaging time, MYMETA.* are
    generated by the end user at configure time after any dynamic dependencies
    are known. (Peter John Acklam)
* Fri Apr 29 2011 coolo@opensuse.org
- initial package 1.993
  * created by cpanspec 1.78.04
